<?php 

	use PhpOffice\PhpSpreadsheet\Spreadsheet;
	use PhpOffice\PhpSpreadsheet\Writer\Xlsx;
	use \PhpOffice\PhpSpreadsheet\Cell\DataType;
	use PhpOffice\PhpSpreadsheet\Style\Border ;
	

	class ExportExcel {

		public static function exporter($fichier,$data) {
			$fichier = htmlspecialchars(trim($fichier)) ;
			// nombre = nombre de colonne
			// ligne = nombre de ligne
			$ligne = count($data) ;
			$nombre = 0 ; 
			$enteteValue = null ;
			$j=0 ;
			foreach ($data[0] as $key => $value) {
				$nombre++ ;
				
				if(strpos($key,"e#")==true) {
					$enteteValue[$j] = ucfirst(str_replace("e#","é",$key)) ;
				}
				else {
					$enteteValue[$j] =ucfirst($key) ;
				}
				if($enteteValue[$j]=="IdHistorique") {
					$enteteValue[$j]="Nom" ;
				}
				// if($enteteValue[$j]=="IdGrille") {
				// 	$enteteValue[$j]="Taux Horaire" ;
				// }
				switch ($enteteValue[$j]) {
					case 'Nomprenom': $enteteValue[$j]="Nom et prénom" ; break;
					case 'DateNaissance': $enteteValue[$j]="Date de naissance" ; break;
					case 'LieuNaissance': $enteteValue[$j]="Lieu de naissance" ; break;
					case 'SituationFamiliale': $enteteValue[$j]="Situation familiale" ; break;
					case 'Nationalite': $enteteValue[$j]="Nationalité" ; break;
					case 'NumeroCIN': $enteteValue[$j]="CIN" ; break;
					case 'NumeroCNAPS': $enteteValue[$j]="Numero CNAPS" ; break;
					case 'CodeClass': $enteteValue[$j]="Classification" ; break;
					case 'DateEmbauche': $enteteValue[$j]="Date d\'embauche" ; break;
				}
				$j++ ;
			}
			// echo $nombre ;
			// genération des cellule excel
			$cellule = "A" ;
			$i=0 ;
			$listeCellule = null ;
			for($i=0;$i< $nombre ; $i++) {
				$listeCellule[$i] = $cellule ; 
				$cellule++ ;
			}

			// initialisation entete
			$spreadsheet = new Spreadsheet();
			$sheet = $spreadsheet->setActiveSheetIndex(0) ;
			$sheet = $spreadsheet->getActiveSheet();

			for($i=0;$i< $nombre ; $i++) {
				$sheet->setCellValue($listeCellule[$i].'1',$enteteValue[$i]) ;
				$sheet->getColumnDimension($listeCellule[$i])->setAutoSize(true) ;
			}

			// mampiditra valeur 
			$ligneExcel = 2; 
			
			// mampiditra valeur
			for($i = 0; $i < count($data); $i++) {
				// pour parcours listeCellule
				$k = 0; 
				foreach ($data[$i] as $key => $value) {
					// $nombre++ ;
					// $enteteValue[$j] =$key ;
					// $j++ ;
					// ato
						if(is_numeric($value) && $value != 0) {
							// $sheet->setCellValue($listeCellule[$k].$ligneExcel,$value,DataType::TYPE_STRING);
							$spreadsheet->getActiveSheet()->getCell($listeCellule[$k].$ligneExcel)->setValue($value);
							$spreadsheet->getActiveSheet()->getStyle($listeCellule[$k].$ligneExcel)->getNumberFormat()->setFormatCode('### ### ### ### ###'); 
						}
						else {
							$sheet->setCellValue($listeCellule[$k].$ligneExcel,$value,DataType::TYPE_STRING);
						}
					
						
						

						


					

					$k++ ;
				}
				$ligneExcel++ ;

			}




			$styleArray = array("borders" => array("allBorders" => array("borderStyle" =>Border::BORDER_THIN,"color" => array("argb" => "000000"),),),);
			// style anle entete
			$spreadsheet->getActiveSheet()
						->getStyle($listeCellule[0].'1:'.$listeCellule[$nombre-1].'1')
						->getFont() 
    					->setBold(true) ;







    		// bordure jiaby
    		$sheet ->getStyle($listeCellule[0]."1:".$listeCellule[$nombre-1].$ligne."")->applyFromArray($styleArray);		
    		$writer = new Xlsx($spreadsheet);
    		ob_start() ;

			header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');

	        header('Content-Disposition: attachment; filename="'. urlencode($fichier.".xlsx").'"');

			$writer->save('php://output'); 
			exit() ;	

			ob_end_clean() ;
			
		}
	

		
	}

	


 ?>