<?php 

class CategorieClasseModel extends CI_Model{

	public function getAll()
	{
		return DB::select("categorieClasse")->order(["idCategorieClasse" => "DESC"])->execute();
	}

	public function getAllSearch($query)
	{
		return DB::select("categorieClasse")
					->where("nomCategorieClasse"," LIKE ")
					->execute([$query]);
	}

	public function getOne($id)
	{
		return DB::select("categorieClasse")
					->where("idCategorieClasse","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("categorieClasse")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("categorieClasse")
			->parametters($fields)
			->where("idCategorieClasse","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("categorieClasse")
			->where("idCategorieClasse","=")
			->execute([$id]);
	}



}