<?php 

class EnseignantModel extends CI_Model{

	public function getAll()
	{
		return DB::select("enseignant")->order(["matriculeEnseignant" => "DESC"])->execute();
	}
	public function getAllSearch($query)
	{
		return DB::select("enseignant")
				->where("matriculeEnseignant"," LIKE ")
				->or("nomEnseignant"," LIKE ")
				->or("prenomEnseignant"," LIKE ")
				->or("contactEnseignant"," LIKE ")
				->or("emailEnseignant"," LIKE ")
				->or("adresseEnseignant"," LIKE ")
				->execute([$query,$query,$query,$query,$query,$query]);
	}
	public function getOne($matricule)
	{
		return DB::select("enseignant")
				->where("matriculeEnseignant","=")
				->fetchOne([$matricule]);
	}

	public function create($fields,$values)
	{
		DB::insert("enseignant")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("enseignant")
			->parametters($fields)
			->where("matriculeEnseignant","=")
			->execute($values);
	}
	public function delete($matricule)
	{
		DB::delete("enseignant")
			->where("matriculeEnseignant","=")
			->execute([$matricule]);
	}

}