<?php 

class FacturePTModel extends CI_Model{



	public function getFacture($company, $session, $class)
	{
		return DB::customQuery("SELECT * FROM 
			inscriptionPT
			INNER JOIN etudiantPT ON etudiantPT.numeroPT = inscriptionPT.numeroPT 
			INNER JOIN etudiant ON etudiant.idEtudiant = etudiantPT.idEtudiant
			INNER JOIN session ON session.idSession = etudiantPT.idSession
			INNER JOIN term ON term.idTerm= session.idTerm
			INNER JOIN exercice ON exercice.idExercice = term.idExercice
			INNER JOIN company ON company.idCompany=etudiant.idCompany
			INNER JOIN classe ON classe.codeClasse=etudiant.codeClass
			WHERE company.idCompany = ? 
			AND etudiantPT.idSession= ? 
			AND classe.idClasse=?",
			[$company,$session,$class]
		);
	}

	public function factureExist($company, $session, $class)
	{
		return DB::customQuery("SELECT * FROM 
					facturePT
					WHERE idCompany = ? 
					AND idSession= ? 
					AND idClasse= ?", 
					[$company,$session,$class],false
				);
	}
	public function create($fields, $values)
	{
		DB::insert('facturePT')
			->parametters($fields)
			->execute($values);
	}

}