<div class="row">
    <div class="col-md-6">
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Nom :</label>
            </div>
            <div class="col-7">
                <input type="text" name="nom" class="form-control form-control-sm <?= form_error('nom') ? 'input-error' : '' ?>" value="<?= $values["nom"] ?? "" ?>" >
                <div class="form-error"><?= form_error('nom') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Prénoms :</label>
            </div>
            <div class="col-7">
                <input type="text" name="prenom" class="form-control form-control-sm <?= form_error('prenom') ? 'input-error' : '' ?>" value="<?= $values["prenom"] ?? "" ?>">
                <div class="form-error"><?= form_error('prenom') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Adresse :</label>
            </div>
            <div class="col-7">
                <input type="text" name="adresse" class="form-control form-control-sm" value="<?= $values["adresse"] ?? "" ?>">
                <div class="form-error"><?= form_error('adresse') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Email :</label>
            </div>
            <div class="col-7">
                <input type="text" name="email" class="form-control form-control-sm" value="<?= $values["email"] ?? "" ?>">
                <div class="form-error"><?= form_error('email') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Contact :</label>
            </div>
            <div class="col-7">
                <input type="text" name="contact" class="form-control form-control-sm" value="<?= $values["contact"] ?? "" ?>">
                <div class="form-error"><?= form_error('contact') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Contact d'urgence :</label>
            </div>
            <div class="col-7">
                <input type="text" name="urgence" class="form-control form-control-sm" value="<?= $values["urgence"] ?? "" ?>">
                <div class="form-error"><?= form_error('urgence') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Profession :</label>
            </div>
            <div class="col-7">
                <input type="text" name="profession" class="form-control form-control-sm" value="<?= $values["profession"] ?? "" ?>">
                <div class="form-error"><?= form_error('profession') ?></div>
            </div>
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Compagnie :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["compagnie"])): ?>
                    <select class="form-control" name="compagnie">
                        <option value="-1">Aucune</option>
                        <?php foreach($compagnies as $compagnie): ?>
                            <option value="<?= $compagnie->idCompany ?>" <?= ($values["compagnie"] === $compagnie->idCompany) ? "selected" : "" ?>><?= $compagnie->nomCompany ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select class="form-control" name="compagnie">
                        <option value="-1">Aucune</option>
                        <?php foreach($compagnies as $compagnie): ?>
                            <option value="<?= $compagnie->idCompany ?>"><?= $compagnie->nomCompany ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('compagnie') ?></div>
            </div>
                
        </div>
    </div>
    <div class="col-md-6">
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Exercice :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["exercice"])): ?>
                    <select name="exercice" class="form-control form-control-sm <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="onExerciceParachuteChange(this)" <?= (isset($action) && $action === "update") ? "disabled" : "" ?>>
                        <?php foreach($exercices as $exercice): ?>
                            <option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="exercice" class="form-control form-control-sm <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="onExerciceParachuteChange(this)">
                        <?php foreach($exercices as $exercice): ?>
                            <option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('exercice') ?></div>
            </div>
        </div>

        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Term :</label>
            </div>
            <div class="col-7" id="term-inscription-parachute">
                <?php if(isset($values["term"])): ?>
                    <select name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" <?= (isset($action) && $action === "update") ? "disabled" : "" ?> onchange="onTermParachuteChange()">
                        <?php foreach($terms as $term): ?>
                            <option value="<?= $term->idTerm ?>" <?= ($values["term"] === $term->idTerm) ? "selected" : "" ?>><?= $term->nomTerm ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="term" class="form-control <?= form_error('term') ? 'input-error' : '' ?>" onchange="onTermParachuteChange()">
                        <?php foreach($terms as $term): ?>
                            <option value="<?= $term->idTerm ?>"><?= $term->nomTerm ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('term') ?></div>
            </div>
        </div>

        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Classe :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["classe"])): ?>
                    <select name="classe" class="form-control form-control-sm ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseParachuteChange()">
                        <?php foreach($classes as $classe): ?>
                            <option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="classe" class="form-control form-control-sm ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseParachuteChange()">
                        <?php foreach($classes as $classe): ?>
                            <option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('classe') ?></div>
            </div>
            
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Niveau :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["niveau"])): ?>
                    <select name="niveau" class="form-control form-control-sm ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauParachuteChange()">
                        <?php foreach($niveaux as $niveau): ?>
                            <option value="<?= $niveau->idNiveau ?>" <?= ($values["niveau"] === $niveau->idNiveau) ? "selected" : "" ?>><?= $niveau->codeNiveau ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="niveau" class="form-control form-control-sm ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauParachuteChange()">
                        <?php foreach($niveaux as $niveau): ?>
                            <option value="<?= $niveau->idNiveau ?>"><?= $niveau->codeNiveau ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('niveau') ?></div>
            </div>
            
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Jours de cours :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["jours"])): ?>
                    <select name="jours" class="form-control form-control-sm ui search dropdown <?= form_error('jours') ? 'input-error' : '' ?>" onchange="onJoursParachuteChange()">
                        <?php foreach($days as $day): ?>
                            <option value="<?= $day ?>" <?= ($values["jours"] === $day) ? "selected" : "" ?>><?= $day ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="jours" class="form-control form-control-sm ui search dropdown <?= form_error('jours') ? 'input-error' : '' ?>" onchange="onJoursParachuteChange()">
                        <?php foreach($days as $day): ?>
                            <option value="<?= $day ?>"><?= $day ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('jours') ?></div>
            </div>
            
        </div>

        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Remise :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["remise"])): ?>
                    <select class="form-control form-control-sm" name="remise" onchange="onRemiseParachuteChange(this)"> 
                        <option value="-1">Sans remise</option>
                        <?php foreach($remises as $remise): ?>
                            <option value="<?= $remise->idRemise ?>" <?= ($values["remise"] === $remise->idRemise) ? "selected" : "" ?>><?= $remise->nomRemise ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select class="form-control form-control-sm" name="remise" onchange="onRemiseParachuteChange(this)">
                        <option value="-1">Sans remise</option>
                        <?php foreach($remises as $remise): ?>
                            <option value="<?= $remise->idRemise ?>"><?= $remise->nomRemise ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
            </div>
                
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Horaire :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["horaire"])): ?>
                    <select name="horaire" class="form-control form-control-sm ui search dropdown <?= form_error('horaire') ? 'input-error' : '' ?>" onchange="onHoraireParachuteChange()">
                        <?php foreach($horaires as $horaire): ?>
                            <option value="<?= $horaire->idHoraireCours ?>" <?= ($values["horaire"] === $horaire->idHoraireCours) ? "selected" : "" ?>><?= $horaire->debutCours ?> - <?= $horaire->finCours ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="horaire" class="form-control form-control-sm ui search dropdown <?= form_error('horaire') ? 'input-error' : '' ?>" onchange="onHoraireParachuteChange()">
                        <?php foreach($horaires as $horaire): ?>
                            <option value="<?= $horaire->idHoraireCours ?>"><?= $horaire->debutCours ?> - <?= $horaire->finCours ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('horaire') ?></div>
            </div>
            
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Salle :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["salle"])): ?>
                    <select name="salle" class="form-control form-control-sm ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>" onchange="onSalleParachuteChange()">
                        <?php foreach($salles as $salle): ?>
                            <option value="<?= $salle->idSalle ?>" <?= ($values["salle"] === $salle->idSalle) ? "selected" : "" ?>><?= $salle->nomSalle ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php else: ?>
                    <select name="salle" class="form-control form-control-sm ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>" onchange="onSalleParachuteChange()">
                        <?php foreach($salles as $salle): ?>
                            <option value="<?= $salle->idSalle ?>"><?= $salle->nomSalle ?></option>
                        <?php endforeach; ?>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('salle') ?></div>
                <?php if(isset($salleInfo)): ?>
                    <div class="salle-info d-flex justify-content-between text-md text-info">
                        <span>Capacité : <?= $salleInfo->capaciteSalle ?></span>
                        <span>Occupation : <?= $salleInfo->occupation ?></span>
                    </div>
                <?php endif ?>
            </div>
            
        </div>
        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Ecolage :</label>
            </div>
            <div class="col-7">
                <input type="text" name="ecolage" class="form-control form-control-sm <?= form_error('ecolage') ? 'input-error' : '' ?>" value="<?= $values['ecolage'] ?? null ?>" readonly id="ecolage-parachute">
                <div class="form-error"><?= form_error('ecolage') ?></div>
            </div>
        </div>

        <div class="form-group row">
            <div class="col-4">
                <label class="text-muted">Mode de paiement :</label>
            </div>
            <div class="col-7">
                <?php if(isset($values["mode-paiement"])): ?>
                    <select class="form-control form-control-sm <?= form_error('mode-paiement') ? 'input-error' : '' ?>" name="mode-paiement" onchange="toggleCompany()">
                        <option value="espece" <?= ($values["mode-paiement"] === "espece") ? "selected" : "" ?>>Espèce</option>
                        <option value="cheque" <?= ($values["mode-paiement"] === "cheque") ? "selected" : "" ?>>Chèque</option>
                    </select>
                <?php else: ?>
                    <select class="form-control form-control-sm <?= form_error('mode-paiement') ? 'input-error' : '' ?>" name="mode-paiement" onchange="toggleCompany()">
                        <option value="espece">Espèce</option>
                        <option value="cheque">Chèque</option>
                    </select>
                <?php endif; ?>
                <div class="form-error"><?= form_error('mode-paiement') ?></div>
            </div>
                
        </div>
    </div>
</div>
<hr>

<?php if(isset($salleInfo) && ($salleInfo->capaciteSalle <= $salleInfo->occupation)): ?>
    <div class="row">
        <div class="col-md-8"></div>
        <div class="col-md-4">
            <button type="button" class="btn btn-danger btn-block" onclick="addWaitingListParachute()">Ajouter à la liste d'attente</button>
        </div>
    </div>
<?php else: ?>
    <div class="row">
        <div class="col-md-8"></div>
        <div class="col-md-4">
            <button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
        </div>
    </div>
<?php endif; ?>