<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/etudiant") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Etudiant</a>
			<a href="<?= base_url("testNiveau/inscriptionPT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Inscription</a>
			<a href="<?= base_url("testNiveau/facturePT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 3 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Facture</a>
		</nav>

		<form class="form-content" method="post" action="<?= base_url("testNiveau/facturePT/generate") ?>" target="_blank">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Session :</label>
				<div class="input">
					<?php if(isset($values["session"])): ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>" <?= ($action === "update") ? "disabled" : "" ?>>
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>" <?= ($values["session"] === $session->idSession) ? "selected" : "" ?>><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('session') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Compagnie :</label>
				<div class="input">
					<?php if(isset($values["compagnie"])): ?>
						<select class="form-control" name="compagnie">
							<?php foreach($compagnies as $compagnie): ?>
								<option value="<?= $compagnie->idCompany ?>" <?= ($values["compagnie"] === $compagnie->idCompany) ? "selected" : "" ?>><?= $compagnie->nomCompany ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select class="form-control" name="compagnie">
							<?php foreach($compagnies as $compagnie): ?>
								<option value="<?= $compagnie->idCompany ?>"><?= $compagnie->nomCompany ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('compagnie') ?></div>
				</div>
					
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select class="form-control" name="classe">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select class="form-control" name="classe">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
				</div>
					
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<input type="submit" class="btn btn-dark btn-block" value="Générer" name="btn">
					<input type="submit" class="btn btn-success btn-block" value="Exporter excel" name="btn">
				</div>
				
			</div>
		</form>

	</div>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>