<?php 

class Home extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
	}

	public function index()
	{
		$data["active"] = 1;
		$exercices = $this->exercice->getAll();
		$terms = [];

		if(count($exercices))
		{
			$terms = $this->term->getAllByExercice($exercices[0]->idExercice);
		}
		$data["exercices"] = $exercices;
		$data["terms"] = $terms;

		$this->load->view("budget/index",$data);
	}

	public function getTerm()
	{
		$exercice = (int)$_POST['exercice'];
		$data["terms"] = $this->term->getAllByExercice($exercice);

		$this->load->view("budget/components/term_budget",$data);
	}

}