<?php 

class JoursCoursModel extends CI_Model{

	const DAYS = [
		[
			"short" => "Mon",
			"long" => "Monday"
		],
		[
			"long" => "Tuesday",
			"short" => "Tue"
		],
		[
			"long" => "Wednesday",
			"short" => "Wed"
		],
		[
			"long" => "Thursday",
			"short" => "Thu"
		],
		[
			"short" => "Fri",
			"long" => "Friday"
		],
		[
			"short" => "Sat",
			"long" => "Saturday"
		],
		[
			"short" => "Sun",
			"long" => "Sunday"
		]

	];

	public function getAll()
	{
		return DB::select("joursCours")->order(["idJoursCours" => "DESC"])->execute();
	}

	public function getOne($id)
	{
		return DB::select("joursCours")
					->where("idJoursCours","=")
					->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("joursCours")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("joursCours")
			->parametters($fields)
			->where("idJoursCours","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("joursCours")
			->where("idJoursCours","=")
			->execute([$id]);
	}


	/**
	 * 
	 * Verifie si le jours est deja enreistré
	 * 
	 * */
	public function isExist($nom)
	{
		$res = DB::select("joursCours")
					->where("nomJoursCours","=")
					->fetchOne([$nom]);
		if($res)
			return true;
		return false;
	}


	

}