<?php 

class MatiereModel extends CI_Model{

	public function getAll()
	{
		return DB::select("matiere")->order(["idMatiere"=>"DESC"])->execute();
	}
	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM matiere
			WHERE nomMatiere LIKE ?
			OR aliasMatiere LIKE ?",
			[$query,$query]
		);
	}
	public function getOne($id)
	{
		return DB::select("matiere")
				->where('idMatiere',"=")
				->fetchOne([$id]);
	}


	public function create($fields,$values)
	{
		DB::insert("matiere")
			->parametters($fields)
			->execute($values);
	}
	
	public function update($fields,$values)
	{
		DB::update("matiere")
			->parametters($fields)
			->where("idMatiere","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("matiere")
			->where("idMatiere","=")
			->execute([$id]);
	}

}