<?php  

class EtudiantPTModel extends CI_Model{


	public function generateNumeroPT($numeroTerm)
	{
		$query = '%T' . $numeroTerm;
		$res = DB::customQuery("SELECT MAX(numeroPT) AS max FROM etudiantpt WHERE numeroPT LIKE ?",[$query],false);

		$last = $res->max;
		if(empty($last)){
			$new = 1;
		}else{
			$new = (int)substr($last, 1) + 1;
		}

		return $numeroTerm . str_pad($new, 3, "0", STR_PAD_LEFT) . "/PT/T" . $numeroTerm;
	}

	public function getOne($numeroPT)
	{
		return DB::customQuery("SELECT * FROM etudiantpt 
			INNER JOIN etudiant ON etudiantpt.idEtudiant = etudiant.idEtudiant 
			WHERE etudiantpt.numeroPT LIKE '". $numeroPT."'", [], false);
	}

	public function create($fields,$values)
	{
		DB::insert("etudiantpt")
			->parametters($fields)
			->execute($values);
	}
	public function update($fields,$values)
	{
		DB::update("etudiantpt")
			->parametters($fields)
			->where("idEtudiant","=")
			->execute($values);
	}
	public function delete($id)
	{
		DB::delete("etudiantpt")
			->where("idEtudiant","=")
			->execute([$id]);
	}

	

	/**
	 * 
	 * Recuperer la session où l etudiant a fait l'inscription
	 * 
	 * */
	public function getSession($numeroPT)
	{
		return DB::customQuery("SELECT session.* FROM etudiantpt INNER JOIN session ON session.idSession=etudiantpt.idSession WHERE etudiantPT.numeroPT=?",[$numeroPT], false);
	}
}