<table>
	<tr>
		<td style="width: 200px" class="text-muted">Matricule : </td>
		<td class="Lexend_SemiBold"><?= str_pad($resultat->matriculeEtudiant,5,"0",STR_PAD_LEFT) ?> </td>
	</tr>
	<tr>
		<td style="width: 200px" class="text-muted">Nom & prénoms : </td>
		<td class="Lexend_SemiBold"><?= $resultat->nom ?> <?= $resultat->prenom ?> </td>
	</tr>
	<tr>
		<td style="width: 200px" class="text-muted">Session : </td>
		<td class="Lexend_SemiBold"><?= $resultat->anneeExercice ?> - <?= $resultat->nomTerm ?> </td>
	</tr>
	<tr>
		<td style="width: 200px" class="text-muted">Type cours : </td>
		<?php if($resultat->joursCours !== "online"): ?>
			<td class="Lexend_SemiBold">En salle </td>
		<?php else: ?>
			<td class="Lexend_SemiBold">Online </td>
		<?php endif; ?>

	</tr>
	<tr>
		<td style="width: 200px" class="text-muted">Decision : </td>
		<td class="Lexend_SemiBold"><?= $resultat->state ?> </td>
	</tr>
</table>

<table class="table table-sm table-bordered table-striped my-3">
	<thead>
		<tr>
			<th>Matière</th>
			<th>Note obtenu</th>
			<th>Barème</th>
		</tr>
	</thead>
	<tbody>
		<?php if($resultat->joursCours !== "Online"): ?>
			<?php foreach($notes as $note): ?>
				<tr>
					<td><?= $note->matiere ?></td>
					<td><?= $note->note ?? "---" ?></td>
					<td><?= $note->bareme ?></td>
				</tr>
			<?php endforeach; ?>
		<?php else: ?>
			<tr>
				<td>Note / 95%</td>
				<td><?= $notes->note95 ?? "---" ?></td>
				<td>95%</td>
			</tr>
			<tr>
				<td>Note / 5%</td>
				<td><?= $notes->note5 ?? "---" ?></td>
				<td> 5% </td>
			</tr>
		<?php endif; ?>
	</tbody>
	<tfoot>
		<tr class="Lexend_SemiBold">
			<td>TOTAL</td>
			<td><?= $resultat->totalNote ?></td>
		</tr>
	</tfoot>
</table>