<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Classe :</label>
	<div class="input">
		<?php if(isset($values["classe"])): ?>
			<?php if(isset($action)): ?>
				<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getInfoFraisByClasse(this)" <?= ($action === "update") ? "disabled" : "" ?>>
					<?php foreach($classes as $classe): ?>
						<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] == $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
					<?php endforeach; ?>	
				</select>
			<?php else: ?>
				<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getInfoFraisByClasse(this)">
					<?php foreach($classes as $classe): ?>
						<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] == $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
					<?php endforeach; ?>	
				</select>
			<?php endif; ?>
		<?php else: ?>
			<select name="classe" class="form-control <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getInfoFraisByClasse(this)">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>	
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('classe') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
	<div class="input">
		<?php if(isset($values["niveau"])): ?>
			<select name="niveau" class="form-control <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="getInfoFraisByNiveau()" <?= (isset($action) && $action === "update") ? "disabled" : "" ?>>
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>" <?= ($values["niveau"] == $niveau->idNiveau) ? "selected" : "" ?>><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>	
			</select>
		<?php else: ?>
			<select name="niveau" class="form-control <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="getInfoFraisByNiveau()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>"><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>	
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('niveau') ?></div>
	</div>
	
</div>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Jours de cours :</label>
	<div class="input">
		<?php if(isset($values["jours"])): ?>
			<select name="jours" class="form-control <?= form_error('jours') ? 'input-error' : '' ?>" <?= ($action === "update") ? "disabled" : "" ?>>
				<?php foreach($joursCours as $jours): ?>
					<option value="<?= $jours ?>" <?= ($values["jours"] === $jours) ? "selected" : "" ?>><?= $jours ?></option>
				<?php endforeach; ?>	
			</select>
		<?php else: ?>
			<select name="jours" class="form-control <?= form_error('jours') ? 'input-error' : '' ?>">
				<?php foreach($joursCours as $jours): ?>
					<option value="<?= $jours ?>"><?= $jours ?></option>
				<?php endforeach; ?>	
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('jours') ?></div>
	</div>
	
</div>
<?php if(count($categories)): ?>
	<div class="form-input d-flex flex-wrap">
		<label class="mb-0 Lexend_ExtraLight">Catégorie :</label>
		<div class="input">
			<?php if(isset($values["categorie"])): ?>
				<select name="categorie" class="form-control <?= form_error('categorie') ? 'input-error' : '' ?>" <?= ($action === "update") ? "disabled" : "" ?>>
					<?php foreach($categories as $categorie): ?>
						<option value="<?= $categorie->idCategorieClasse ?>" <?= ($values["categorie"] === $categorie->idCategorieClasse) ? "selected" : "" ?>><?= $categorie->nomCategorieClasse ?></option>
					<?php endforeach; ?>	
				</select>
			<?php else: ?>
				<select name="categorie" class="form-control <?= form_error('categorie') ? 'input-error' : '' ?>">
					<?php foreach($categories as $categorie): ?>
						<option value="<?= $categorie->idCategorieClasse ?>"><?= $categorie->nomCategorieClasse ?></option>
					<?php endforeach; ?>	
				</select>
			<?php endif; ?>
			<div class="form-error"><?= form_error('categorie') ?></div>
		</div>
		
	</div>
<?php endif; ?>
<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Montant à payer :</label>
	<div class="input">
		<input type="number" name="montant" class="form-control <?= form_error('montant') ? 'input-error' : '' ?>" value="<?= $values['montant'] ?? null ?>">
		<div class="form-error"><?= form_error('montant') ?></div>
	</div>
	
</div>