<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("parametrage/matiere") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Matières</a>
			<a href="<?= base_url("parametrage/passingMark") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Passing mark</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/passingMark/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("parametrage/passingMark/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			
			<div id="form-content-passing-mark">
			
				<?php include("components/form_passingMark.php") ?>
			</div>

			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>

		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des horaires</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("parametrage/passingMark/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Passing mark</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->scorePassingMark ?> %</td>
						<td>
							<form action="<?= base_url("parametrage/passingMark/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idPassingMark ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("parametrage/passingMark/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idPassingMark ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>