<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/CSession") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Session</a>
			<a href="<?= base_url("testNiveau/dureeInscription") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Durée inscription cours</a>
		</nav>
		<form class="form-content" method="post" action="<?= base_url("testNiveau/dureeInscription/update") ?>" onsubmit="sendForm(event,this)">
			
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Nombre etudiant :</label>
				<div class="input">
					<input type="number" name="nombre" class="form-control <?= form_error('nombre') ? 'input-error' : '' ?>" value="<?= $values['nombre'] ?? $duree->nombreEtudiant ?>">
					<div class="form-error"><?= form_error('nombre') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Durée (mn) :</label>
				<div class="input">
					<input type="number" name="duree" class="form-control <?= form_error('duree') ? 'input-error' : '' ?>" value="<?= $values['duree'] ?? $duree->dureeInscription ?>">
					<div class="form-error"><?= form_error('duree') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Heure début :</label>
				<div class="input">
					<input type="time" name="debut" class="form-control text-center <?= form_error('debut') ? 'input-error' : '' ?>" value="<?= $values['debut'] ?? $duree->heureDebut ?>">
					<div class="form-error"><?= form_error('debut') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<button type="submit" class="btn btn-success btn-block">Modifier</button>
				</div>
				
			</div>
		</form>
	</div>
</div>