<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form" style="min-height:0">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("inscription/repartitionCours") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Repartition salle</a>
			<a href="<?= base_url("inscription/occupation") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Occupation salle</a>
		</nav>

	</div>
	<div class="main-search d-flex justify-content-between align-items-center mt-2">
		<div class="search-info w-50">
			<span class="d-block">Liste des salles</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("inscription/occupation/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("inscription/occupation/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Salle</th>
					<th>Horaire</th>
					<th>Enseignant</th>
					<th>Niveau</th>
					<th>Classe</th>
					<th>Capacité</th>
					<th>Occupation</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->nomSalle ?></td>
						<td><?= $list->debutCours ?> - <?= $list->finCours ?></td>
						<td><?=	$list->nomEnseignant ?> <?= $list->prenomEnseignant ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->capaciteSalle ?></td>
						<td><?= $list->occupation ?></td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>