function getTermInscription(select){

	let idExercice = $(select).val();
	$.post(BASE_URL + "inscription/home/getTerm", {idExercice: idExercice}, function(res) {
		$("#term-inscription").html(res);
	});
}
function getNiveauAndJoursRepartition(select){

	let idClasse = $(select).val();
	$.post(BASE_URL + "inscription/repartitionCours/getNiveauAndJours", {idClasse: idClasse}, function(res) {
		$("#niveau-and-jours-repartition").html(res);
	});
}

function getJoursCoursInscription(select){
	let idNiveau = $(select).val();
	$.post(BASE_URL + "inscription/home/getJoursCours", {idNiveau: idNiveau}, function(res) {
		$("#jours-cours-inscription").html(res);
	});
}

function getInfoInscription(input){
	let numero = $(input).val().trim();
	if(numero === ""){
		return;
	}
	$.post(BASE_URL + "inscription/inscription/getInfo", $("#form-inscription-cours").serialize(), function(res) {
		$("#form-inscription").html(res);
	});
}

function onClasseChange(){
	$.post(BASE_URL + "inscription/inscription/classeChange", $("#form-inscription-cours").serialize(), function(res) {
		$("#form-inscription").html(res);
	});
}

function onNiveauChange(){
	$.post(BASE_URL + "inscription/inscription/niveauChange", $("#form-inscription-cours").serialize(), function(res) {
		$("#form-inscription").html(res);
	});
}
function onJoursChange(){
	$.post(BASE_URL + "inscription/inscription/joursChange", $("#form-inscription-cours").serialize(), function(res) {
		$("#form-inscription").html(res);
	});
}
function onRemiseChange(select){
	let idRemise = $(select).val();
	$.ajax({
		url: BASE_URL + "inscription/inscription/remiseChange",
		type: 'POST',
		dataType: 'json',
		data: $("#form-inscription-cours").serialize()
	})
	.done(function(res) {
		$("#ecolage").val(res.ecolage);
	})
}
function onHoraireChange(){
	$.post(BASE_URL + "inscription/inscription/horaireChange", $("#form-inscription-cours").serialize(), function(res) {
		$("#form-inscription").html(res);
	});
}
function onSalleChange(){
	$.post(BASE_URL + "inscription/inscription/salleChange", $("#form-inscription-cours").serialize(), function(res) {
		$("#form-inscription").html(res);
	});
}

function openModalParachute(e){
	e.preventDefault();
	$("#modal-inscription").modal("show");
	$.get(BASE_URL + "inscription/parachute/generateForm", function(res) {
		$("#form-parachute-content").html(res);
	});
}

function onExerciceParachuteChange(select){
	let idExercice = $(select).val();
	$.post(BASE_URL + "inscription/parachute/onExerciceChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}
function onTermParachuteChange(){
	$.post(BASE_URL + "inscription/parachute/onTermChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}

function onClasseParachuteChange(){
	$.post(BASE_URL + "inscription/parachute/onClasseChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}

function onNiveauParachuteChange(){
	$.post(BASE_URL + "inscription/parachute/onNiveauChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}

function onJoursParachuteChange(){
	$.post(BASE_URL + "inscription/parachute/onJoursChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}
function onHoraireParachuteChange(){
	$.post(BASE_URL + "inscription/parachute/onHoraireChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}
function onSalleParachuteChange(){
	$.post(BASE_URL + "inscription/parachute/onSalleChange", $("#form-parachute").serialize(), function(res) {
		$("#form-parachute-content").html(res);
	});
}

function onRemiseParachuteChange(select){
	let idRemise = $(select).val();
	$.ajax({
		url: BASE_URL + "inscription/parachute/onRemiseChange",
		type: 'POST',
		dataType: 'json',
		data: $("#form-parachute").serialize()
	})
	.done(function(res) {
		$("#ecolage-parachute").val(res.ecolage);
	})
}

function sendFormParachute(e,form){
	e.preventDefault();
	$.post($(form).attr("action"), $(form).serialize() , function(res) {
		let error = $(res)[0];
		if(error.hasAttribute("error")){
			$("#form-parachute-content").html(res);
		}else{
			$("#modal-inscription").modal("hide");
			$('#modal-inscription').on('hidden.bs.modal', function (event) {
			  	$(".main").html(res);
			})
		}
		
		
		
	});
}

function addWaitingList(){
	$.post(BASE_URL + "inscription/inscription/createWaiting", $("#form-inscription-cours").serialize(), function(res) {
		$(".main").html(res);
	});
}

function addWaitingListParachute(){
	$.post(BASE_URL + "inscription/parachute/waiting", $("#form-parachute").serialize(), function(res) {
		$("#modal-inscription").modal("hide");
		$('#modal-inscription').on('hidden.bs.modal', function (event) {
		  	$(".main").html(res);
		})
	});
}

function onExerciceMutationChange(select){
	let idExercice = $(select).val();
	$.post(BASE_URL + "inscription/mutation/onExerciceChange", {idExercice:idExercice}, function(res) {
		$("#form-mutation").html(res);
	});
}

function onTermMutationChange(select){
	$.post(BASE_URL + "inscription/mutation/onTermChange", $("#form-mutation").serialize() , function(res) {
		$("#form-mutation").html(res);
	});
}
function onClasseMutationChange(select){
	$.post(BASE_URL + "inscription/mutation/onClasseChange", $("#form-mutation").serialize() , function(res) {
		$("#form-mutation").html(res);
	});
}
function onNiveauMutationChange(select){
	$.post(BASE_URL + "inscription/mutation/onNiveauChange", $("#form-mutation").serialize() , function(res) {
		$("#form-mutation").html(res);
	});
}
function onSalleMutationChange(select){
	$.post(BASE_URL + "inscription/mutation/onSalleChange", $("#form-mutation").serialize() , function(res) {
		$("#form-mutation").html(res);
	});
}


function openModalMutation(){
	$("#modal-mutation").modal("show");
}
function closeModalMutation(){
	let checked = $(".checkbox-list-mutation:checked");
	let nombre = checked.length
	if(nombre > 0){
		$("#nombre-mutation").val(nombre)
	}else{
		$("#nombre-mutation").val(null)
	}
	
	$("#modal-mutation").modal("hide");
}

function sendFormMutation(e,form){
	e.preventDefault();

	let data = new FormData(form);
	let data2 = $("#form-list-mutation").serializeArray();
	
	for(let d of data2){
		data.append(d.name,d.value);
	}

	setLoadingForm(form);
	$.ajax({
		url: $(form).attr('action'),
		type: 'post',
		data: data,
		contentType: false,
		cache: false,
		processData: false,
		dataType: 'html'
	})
	.done(function (res) {
		$(".main").html(res);
	})
}


function onExerciceFermetureChange(select){
	let idExercice = $(select).val();
	$.post(BASE_URL + "inscription/fermeture/onExerciceChange", {idExercice:idExercice}, function(res) {
		$("#form-fermeture").html(res);
	});
}

function onTermFermetureChange(select){
	$.post(BASE_URL + "inscription/fermeture/onTermChange", $("#form-fermeture").serialize() , function(res) {
		$("#form-fermeture").html(res);
	});
}
function onClasseFermetureChange(select){
	$.post(BASE_URL + "inscription/fermeture/onClasseChange", $("#form-fermeture").serialize() , function(res) {
		$("#form-fermeture").html(res);
	});
}
function onNiveauFermetureChange(select){
	$.post(BASE_URL + "inscription/fermeture/onNiveauChange", $("#form-fermeture").serialize() , function(res) {
		$("#form-fermeture").html(res);
	});
}

function sendFormFermeture(e,form){
	e.preventDefault();
	Alert.confirm(function(){
		$.post(BASE_URL + "inscription/fermeture/create",$("#form-fermeture").serialize(), function(res) {
			$(".main").html(res);
		});
	})
}