function getTermTest(select){
	let idExercice = $(select).val();
	$.post(BASE_URL + "testNiveau/CSession/getTerm", {idExercice: idExercice}, function(res) {
		$("#term-session").html(res);
	});
}

function getHoraireTest(select){
	let idMatiere = $(select).val();
	$.post(BASE_URL + "testNiveau/repartitionPT/getHoraire", {idMatiere: idMatiere}, function(res) {
		$("#horaire-repartition").html(res);
	});
}

function changeFormEtudiant(){
	$(".form-etudiant").each(function(){
		$(this).toggleClass("d-none");
	})
}
function toggleCompany(){
	$("#company-etudiant").toggleClass("d-none");
}

function getInfoPT(input){
	let numeroPT = $(input).val();
	if(numeroPT.trim() === ""){
		return;
	}
	$.post(BASE_URL + "testNiveau/inscriptionPT/getInfo", {numeroPT: numeroPT}, function(res) {
		$("#form-inscriptionPT-content").html(res);
	});
}
function getSallePT(){
	$.post(BASE_URL + "testNiveau/inscriptionPT/getSalle", $("#form-inscriptionPT").serialize(), function(res) {
		$("#sallePT").html(res);
	});
}
function getDroitTest(){
	$.ajax({
		url: BASE_URL + "testNiveau/inscriptionPT/getDroit",
		type: 'POST',
		dataType: 'json',
		data: $("#form-inscriptionPT").serialize()
	})
	.done(function(res) {
		$("#droitPT").val(res.droit);
	})
	
}

function changeLevelScore(select){
	$.post(BASE_URL + "testNiveau/Scoring/getNiveau", {idClasse : $(select).val()}, function(res) {
		$("#niveau-score").html(res);
	});
}
function getFullnamePT(input){
	let numeroPT = $(input).val().trim();
	if(numeroPT === ""){
		return;
	}
	$.ajax({
		url: BASE_URL + "testNiveau/home/getFullname",
		type: 'POST',
		dataType: 'json',
		data: {numeroPT: numeroPT},
	})
	.done(function(res) {
		$("#fullname").val(res.fullname);
		$("#numeroPT").val(res.numeroPT);
	}) 
}

function generateListResultat(){
	$.post(BASE_URL + "testNiveau/listResultatPT/generate", $("#form-resultatPT").serialize(), function(res) {
		$(".main").html(res);
	});
}
function printResultat(){
	$("#form-resultatPT").submit();
}