<?php 

class Home extends CI_Controller{


	public function __construct()
	{
		parent::__construct();
		$this->load->model("ExerciceModel","exercice");
		$this->load->model("TermModel","term");
		$this->load->model("ClasseModel","classe");
		$this->load->model("NiveauModel","niveau");
		$this->load->model("BaremeModel","bareme");
		$this->load->model("DateExamenModel","dexamen");
	}

	public function index()
	{
		$data["active"] = 1;
		$data["action"] = "create";

		$data["lists"] = $this->dexamen->getAll();

		$data["first"] = true;

		$data["exercices"] = $this->exercice->getAll();
		$terms = [];
		$classes = $this->classe->getAll();
		$niveaux = [];

		if(count($data["exercices"]))
		{
			$terms = $this->term->getAllByExercice($data["exercices"][0]->idExercice);
		}
		$data["terms"] = $terms;

		if(count($classes))
		{
			$niveaux = $this->niveau->getByClasse($classes[0]->idClasse);
		}
		$data["classes"] = $classes;
		$data["niveaux"] = $niveaux;


		if(count($niveaux))
		{
			$data["days"] = explode("|", $niveaux[0]->joursCours);
			$data["matieres"] = $this->bareme->getMatieresByNiveau($niveaux[0]->idNiveau);
		}


		$this->load->view("examen/index",$data);
	}

	public function getNiveau()
	{
		$idClasse = (int)$_POST['idClasse'];
		$data["niveaux"] = $this->niveau->getByClasse($idClasse);
		$this->load->view("examen/components/niveau_examen",$data);
	}

	public function getTerm()
	{
		$idExercice = (int)$_POST["idExercice"];
		$data["terms"] = $this->term->getAllByExercice($idExercice);

		$this->load->view("examen/components/term_examen",$data);
	}


}