<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("inscription/repartitionCours") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Repartition salle</a>
			<a href="<?= base_url("inscription/occupation") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Occupation salle</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("inscription/repartitionCours/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("inscription/repartitionCours/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Exercice :</label>
				<div class="input">
					<?php if(isset($values["exercice"])): ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermInscription(this)" <?= ($action === "update") ? "readonly" : "" ?>>
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>" <?= ($values["exercice"] === $exercice->idExercice) ? "selected" : "" ?>><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="exercice" class="form-control <?= form_error('exercice') ? 'input-error' : '' ?>" onchange="getTermInscription(this)">
							<?php foreach($exercices as $exercice): ?>
								<option value="<?= $exercice->idExercice ?>"><?= $exercice->anneeExercice ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('exercice') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Term :</label>
				<div class="input" id="term-inscription">
					<?php include("components/term_inscription.php") ?>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Enseignant :</label>
				<div class="input">
					<?php if(isset($values["enseignant"])): ?>
						<select name="enseignant" class="form-control ui search dropdown <?= form_error('enseignant') ? 'input-error' : '' ?>">
							<?php foreach($enseignants as $enseignant): ?>
								<option value="<?= $enseignant->matriculeEnseignant ?>" <?= ($values["enseignant"] === $enseignant->matriculeEnseignant) ? "selected" : "" ?>><?= $enseignant->nomEnseignant ?> <?= $enseignant->prenomEnseignant ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="enseignant" class="form-control ui search dropdown <?= form_error('enseignant') ? 'input-error' : '' ?>">
							<?php foreach($enseignants as $enseignant): ?>
								<option value="<?= $enseignant->matriculeEnseignant ?>"><?= $enseignant->nomEnseignant ?> <?= $enseignant->prenomEnseignant ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('enseignant') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Salle :</label>
				<div class="input">
					<?php if(isset($values["salle"])): ?>
						<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>">
							<?php foreach($salles as $salle): ?>
								<option value="<?= $salle->idSalle ?>" <?= ($values["salle"] === $salle->idSalle) ? "selected" : "" ?>><?= $salle->nomSalle ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>">
							<?php foreach($salles as $salle): ?>
								<option value="<?= $salle->idSalle ?>"><?= $salle->nomSalle ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('salle') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Classe :</label>
				<div class="input">
					<?php if(isset($values["classe"])): ?>
						<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getNiveauAndJoursRepartition(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] === $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="getNiveauAndJoursRepartition(this)">
							<?php foreach($classes as $classe): ?>
								<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('classe') ?></div>
				</div>
				
			</div>
			<div id="niveau-and-jours-repartition">
				<?php include("components/niveau_and_jours_repartition.php") ?>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Horaire :</label>
				<div class="input">
					<?php if(isset($values["horaire"])): ?>
						<select name="horaire" class="form-control ui search dropdown <?= form_error('horaire') ? 'input-error' : '' ?>">
							<?php foreach($horaires as $horaire): ?>
								<option value="<?= $horaire->idHoraireCours ?>" <?= ($values["horaire"] === $horaire->idHoraireCours) ? "selected" : "" ?>><?= $horaire->debutCours ?> - <?= $horaire->finCours ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="horaire" class="form-control ui search dropdown <?= form_error('horaire') ? 'input-error' : '' ?>">
							<?php foreach($horaires as $horaire): ?>
								<option value="<?= $horaire->idHoraireCours ?>"><?= $horaire->debutCours ?> - <?= $horaire->finCours ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('horaire') ?></div>
				</div>
				
			</div>
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des repartitions</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("inscription/repartitionCours/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("inscription/repartitionCours/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>Salle</th>
					<th>Horaire</th>
					<th>Jours de cours</th>
					<th>Enseignant</th>
					<th>Niveau</th>
					<th>Classe</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<td><?=	$list->nomSalle ?></td>
						<td><?= $list->debutCours ?> - <?= $list->finCours ?></td>
						<td><?=	$list->jours ?></td>
						<td><?= $list->nomEnseignant ?> <?= $list->prenomEnseignant ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->codeClasse ?></td>
						<td>
							<form action="<?= base_url("inscription/repartitionCours/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idRepartitionCours ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("inscription/repartitionCours/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idRepartitionCours ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>

<?php if(!isset($first)): ?>
<script>
	$(".ui.dropdown").dropdown();
</script>
<?php endif; ?>