<?php

$pdf = new PDF();
$pdf->AddFont("Lexend", "B", "Lexend-Bold.php");
$pdf->AddFont("Lexend", "R", "Lexend-Regular.php");
$pdf->AddFont("Lexend", "M", "Lexend-Medium.php");
$pdf->AddFont("Lexend", "L", "Lexend-Light.php");
$pdf->AddFont("Lexend", "SB", "Lexend-SemiBold.php");

$nombrePage = ceil(count($lists) / 38);

$page = 0;
$i = 0;
while ($page < $nombrePage) {
    $pdf->AddPage();

    $pdf->SetFont('Lexend', 'B', 8);
    $pdf->Cell(95, 4, "ENGLISH TEACHING PROGRAM", 0, 0);
    $pdf->SetFont('Lexend', 'R', 8);
    $pdf->Cell(95, 4, date("d/m/Y"), 0, 1, 'R');

    $pdf->SetFont('Lexend', 'R', 8);
    $pdf->Cell(190, 4, "22, lalana Rainitovo, Antsahavola", 0, 1);
    $pdf->Cell(190, 4, utf8_decode("Tél: 020 22 202 38 / 39"), 0, 1);

    $pdf->Ln(5);
    $pdf->SetFont('Lexend', 'B', 12);
    $pdf->Cell(190, 5, "PLACEMENT TEST RESULTS : TERM 1 - 2022", 0, 1, 'C');

    $pdf->Ln(5);
    $pdf->SetFont('Lexend', 'B', 10);
    $pdf->Cell(47.5, 6, "", 0, 0, 'C');
    $pdf->Cell(47.5, 6, "Numero PT", 1, 0, 'C');
    $pdf->Cell(47.5, 6, "Level", "TBR", 0, 'C');
    $pdf->Cell(47.5, 6, "", 0, 1, 'C');

    $pdf->SetFont('Lexend', 'R', 10);
    for ($n = 0; $i < count($lists) && $n < 38; $i++, $n++) {
        $pdf->Cell(47.5, 6, "", 0, 0, 'C');
        $pdf->Cell(47.5, 6, $lists[$i]->numeroPT, 'LBR', 0, 'C');
        $pdf->Cell(47.5, 6, $lists[$i]->codeNiveau, 'RB', 0, 'C');
        $pdf->Cell(47.5, 6, "", 0, 1, 'C');
    }
    $page++;
}


$pdf->Output();
