<?php 

class Occupation extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		$this->load->model("RepartitionCoursModel","repartition");
	}

	public function index()
	{
		$data["active"] = 2;
		$data["lists"] = $this->repartition->getOccupations();

		$this->load->view("inscription/occupation",$data);
	}

	public function filter()
	{
		$query = trim($_POST['query']);
		if($query === "")
		{
			$this->index();
			return false;
		}

		$data["active"] = 2;
		$data["lists"] = $this->repartition->getOccupationsSearch("%".$query."%");
		$data["query"] = $query;

		$this->load->view("inscription/occupation",$data);

	}

	public function export()
	{
		dump("to do");
	}


}