<?php 

class Historique extends CI_Controller{

	public function __construct()
	{
		parent::__construct();
		if(!isset($_SESSION['userID'])){
			redirect(base_url("login"));
            exit;
		}
		$this->load->model("PointageModel","pointage");
		$this->load->model("EnseignantModel","enseignant");
	}

	public function index()
	{
		$data["active"] = 2;
		$data["lists"] = $this->enseignant->getAll();
		$this->load->view("pointage/historique",$data);
	}

	public function show()
	{
		$matricule = trim($_POST["matricule"]);

		$data["enseignant"] = $this->enseignant->getOne($matricule);

		$date2 = date("Y-m-d");
		$currentMonth = date("m");
		$date1 = date("Y-") . $currentMonth . "-01";

		$data["dates"] = (object)[
			"date1" => $date1,
			"date2" => $date2
		];

		$data["lists"] = $this->pointage->getHistory($date1,$date2,$matricule);

		$this->load->view("pointage/components/modal_history",$data);
	}

	public function getByDate()
	{
		$matricule = trim($_POST["matricule"]);

		$date1 = trim($_POST['date1']);
		$date2 = trim($_POST['date2']);

		if($date2 === "")
		{
			$date2 = $date1;
		}

		$data["lists"] = $this->pointage->getHistory($date1,$date2,$matricule);

		$this->load->view("pointage/components/table_pointage_history",$data);
	}

}