<?php 

class ClasseModel extends CI_Model{


	public function getAll()
	{
		return DB::select("classe")->execute();
	}

	public function getAllSearch($query)
	{
		return DB::select("classe")
					->where("codeClasse"," LIKE ")
					->or("description"," LIKE ")
					->execute([$query,$query]);
	}

	public function create($fields,$values)
	{
		DB::insert("classe")
			->parametters($fields)
			->execute($values);
	}
	public function getOne($id)
	{
		return DB::select("classe")
				->where("idClasse","=")
				->fetchOne([$id]);
	}
	public function getByCode($code)
	{
		return DB::select("classe")
				->where("codeClasse","=")
				->fetchOne([$code]);
	}

	public function update($fields,$values)
	{
		DB::update("classe")
			->parametters($fields)
			->where("idClasse","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("classe")
			->where("idClasse","=")
			->execute([$id]);
	}




}