<?php 

class ExerciceModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT * FROM exercice ORDER BY anneeExercice DESC");
	}

	public function getAllSearch($query)
	{
		return DB::customQuery("SELECT * FROM exercice WHERE anneeExercice LIKE ?",[$query]);
	}

	public function getOne($id)
	{
		return DB::select("exercice")
				->where("idExercice","=")
				->fetchOne([$id]);
	}

	public function create($fields,$values)
	{
		DB::insert("exercice")
			->parametters($fields)
			->execute($values);
	}

	public function update($fields,$values)
	{
		DB::update("exercice")
			->parametters($fields)
			->where("idExercice","=")
			->execute($values);
	}

	public function delete($id)
	{
		DB::delete("exercice")
			->where("idExercice","=")
			->execute([$id]);
	}

}