<?php 

class FermetureModel extends CI_Model{

	public function getAll()
	{
		return DB::customQuery("SELECT fermeture.joursCours,
			term.nomTerm,exercice.anneeExercice,
			niveau.codeNiveau,classe.codeClasse,
			horaireCours.debutCours,
			salle.nomSalle,
			etudiant.nom,etudiant.prenom,etudiant.contact 
			FROM fermeture
			INNER JOIN term ON term.idTerm=fermeture.idTerm
			INNER JOIN exercice ON exercice.idExercice=term.idExercice
			INNER JOIN niveau ON niveau.idNiveau=fermeture.idNiveau
			INNER JOIN classe ON classe.idClasse=niveau.idClasse
			INNER JOIN horaireCours ON horaireCours.idHoraireCours=fermeture.idHoraireCours
			INNER JOIN salle ON salle.idSalle=fermeture.idSalle
			INNER JOIN etudiant ON etudiant.idEtudiant=fermeture.idEtudiant
			ORDER BY fermeture.idFermeture DESC"
		);
	}

	public function create($fields,$values)
	{
		DB::insert("fermeture")
			->parametters($fields)
			->execute($values);
	}


}