<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/resultatPT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Resultat</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/resultatPT/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/resultatPT/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">

			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Session :</label>
				<div class="input">
					<?php if(isset($values["session"])): ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>" <?= (isset($action) && $action === "update") ? "readonly" : "" ?>>
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>" <?= ($values["session"] === $session->idSession) ? "selected" : "" ?>><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('session') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Numéro PT:</label>
				<div class="input">
					<input type="text" name="numeroPT" class="form-control <?= form_error('numeroPT') ? 'input-error' : '' ?>" value="<?= $values['numeroPT'] ?? null ?>" onblur="getFullnamePT(this)" id="numeroPT" <?= (isset($action) && $action === "update") ? "readonly" : "" ?>>
					<div class="form-error"><?= form_error('numeroPT') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Nom & prénom:</label>
				<div class="input">
					<input type="text" name="fullname" class="form-control <?= form_error('fullname') ? 'input-error' : '' ?>" value="<?= $values['fullname'] ?? null ?>" readonly id="fullname">
					<div class="form-error"><?= form_error('fullname') ?></div>
				</div>
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Score écrit:</label>
				<div class="input">
					<input type="number" name="score-ecrit" class="form-control <?= form_error('score-ecrit') ? 'input-error' : '' ?>" value="<?= $values['score-ecrit'] ?? null ?>">
					<div class="form-error"><?= form_error('score-ecrit') ?></div>
				</div>
			</div>
			<!-- <div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Rating ecrit:</label>
				<div class="input">
					<input type="text" name="rating-ecrit" class="form-control <?= form_error('rating-ecrit') ? 'input-error' : '' ?>" value="<?= $values['rating-ecrit'] ?? null ?>" readonly>
					<div class="form-error"><?= form_error('rating-ecrit') ?></div>
				</div>
			</div> -->
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Rating oral:</label>
				<div class="input">
					<input type="number" name="rating-oral" class="form-control <?= form_error('rating-oral') ? 'input-error' : '' ?>" value="<?= $values['rating-oral'] ?? null ?>">
					<div class="form-error"><?= form_error('rating-oral') ?></div>
				</div>
			</div>
			<!-- <div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Niveau:</label>
				<div class="input">
					<input type="text" name="niveau" class="form-control <?= form_error('niveau') ? 'input-error' : '' ?>" value="<?= $values['niveau'] ?? null ?>" readonly>
					<div class="form-error"><?= form_error('niveau') ?></div>
				</div>
			</div> -->
			
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des resultats</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("testNiveau/resultatPT/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("testNiveau/resultatPT/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Session</th>
					<th>Numéro PT</th>
					<th>Classe</th>
					<th>Nom & prénom</th>
					<th>Score écrit</th>
					<th>Rating ecrit</th>
					<th>Rating oral</th>
					<th>Niveau</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?> - <?= $list->nomTerm ?></td>
						<td><?= $list->numeroPT ?></td>
						<td><?=	$list->codeClasse ?></td>
						<td><?= $list->nom ?> <?= $list->prenom ?></td>
						<td><?= $list->scoreEcrit ?></td>
						<td><?= $list->ratingEcrit ?></td>
						<td><?= $list->ratingOral ?></td>
						<td><?= $list->codeNiveau ?></td>

						<td>
							<form action="<?= base_url("testNiveau/resultatPT/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idResultatPT ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("testNiveau/resultatPT/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idResultatPT ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
	<?php if($totals > LIMIT_PAGINATION): ?>
		<div class="main-pagination text-center mt-3">
			<nav aria-label="Page navigation example" class="d-inline-block">
				<ul class="pagination">
				    <li class="page-item">
				    	<?php if(isset($query)): ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/resultatPT/page/" . ($currentPage - 1) . "?query=$query") ?>" onClick="paginate(event,this)"><span class="mr-2"><i class="fa-solid fa-angles-left"></i></span>Préc</a>
				    	<?php else: ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/resultatPT/page/" . ($currentPage - 1)) ?>" onClick="paginate(event,this)"><span class="mr-2"><i class="fa-solid fa-angles-left"></i></span>Préc</a>
				    	<?php endif; ?>
				    	
				    </li>
				    <li class="mx-2 d-flex align-items-center text-muted">
				    	<span class="Lexend_Regular text-dark"><?= $currentPage ?></span>
				    	<span class="mx-1">/</span> 
				    	<span><?= ceil($totals / LIMIT_PAGINATION) ?></span>
				    </li>
				    <li class="page-item">
				    	<?php if(isset($query)): ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/resultatPT/page/" . ($currentPage + 1)) . "?query=$query" ?>" onClick="paginate(event,this)">Suiv<span class="ml-2"><i class="fa-solid fa-angles-right"></i></span></a>
				    	<?php else: ?>
				    		<a class="page-link" href="<?= base_url("testNiveau/resultatPT/page/" . ($currentPage + 1)) ?>" onClick="paginate(event,this)">Suiv<span class="ml-2"><i class="fa-solid fa-angles-right"></i></span></a>
				    	<?php endif; ?>
				    </li>
				</ul>
			</nav>
		</div>
	<?php endif; ?>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>