<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form" style="min-height:0">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("inscription/inscription") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Inscription</a>
			<a href="<?= base_url("inscription/company") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Compagnie</a>
			<a href="<?= base_url("inscription/attente") ?>" class="main-navigation-link Lexend_Regular <?= $active === 3 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Liste d'attente</a>
		</nav>

	</div>

	<div class="main-search d-flex justify-content-between align-items-center mt-2">
		<div class="search-info w-50">
			<span class="d-block">Liste des étudiants</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("inscription/attente/filter") ?>" onsubmit="filter(event,this)">
				<a href="<?= base_url("inscription/attente/export") ?>" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a>
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>

	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Exercice</th>
					<th>Term</th>
					<th>NuméroPT | Matricule</th>
					<th>Nom & prénoms</th>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Horaire</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?></td>
						<td><?= $list->nomTerm ?></td>
						<?php if($list->matricule): ?>
							<td><?=	str_pad($list->matricule,5,"0",STR_PAD_LEFT) ?></td>
						<?php else: ?>
							<td><?= $list->numeroPT ?></td>
						<?php endif ?>
						
						<td><?= $list->nom ?> <?= $list->prenom ?></td>
						<td><?= $list->codeClasse ?></td>
						<td><?= $list->codeNiveau ?></td>
						<td><?= $list->debutCours ?> - <?= $list->finCours ?></td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>