<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Numéro PT | Matricule:</label>
	<div class="input">
		<?php if(isset($action) && $action === "update"): ?>
			<input type="text" name="numero" class="form-control <?= form_error('numero') ? 'input-error' : '' ?>" value="<?= $values['numero'] ?? null ?>" readonly>
		<?php else: ?>
			<input type="text" name="numero" class="form-control <?= form_error('numero') ? 'input-error' : '' ?>" value="<?= $values['numero'] ?? null ?>" onblur="getInfoInscription(this)">
			<a href="#" class="text-md float-right" onclick="openModalParachute(event)">
				<i class="fa-solid fa-plus"></i> 
				Ajouter nouveau
			</a>
		<?php endif; ?>
		<div class="form-error"><?= form_error('numero') ?></div>
	</div>
</div>

<input type="hidden" name="id-etudiant" value="<?= $values["id-etudiant"] ?? $idEtudiant ?? null ?>" name="id-etudiant">

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Nom & prénom:</label>
	<div class="input">
		<input type="text" name="fullname" class="form-control <?= form_error('fullname') ? 'input-error' : '' ?>" value="<?= $values['fullname'] ?? null ?>" readonly>
		<div class="form-error"><?= form_error('fullname') ?></div>
	</div>
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Classe : </label>
	<div class="input">

		<?php if(isset($values["classe"])): ?>

			<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseChange()">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>" <?= ($values["classe"] == $classe->idClasse) ? "selected" : "" ?>><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>
			</select>

		<?php else: ?>

			<select name="classe" class="form-control ui search dropdown <?= form_error('classe') ? 'input-error' : '' ?>" onchange="onClasseChange()">
				<?php foreach($classes as $classe): ?>
					<option value="<?= $classe->idClasse ?>"><?= $classe->codeClasse ?></option>
				<?php endforeach; ?>
			</select>

		<?php endif; ?>

		<div class="form-error"><?= form_error('classe') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Niveau :</label>
	<div class="input">
		<?php if(isset($values["niveau"])): ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauChange()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>" <?= ($values["niveau"] == $niveau->idNiveau) ? "selected" : "" ?>><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="niveau" class="form-control ui search dropdown <?= form_error('niveau') ? 'input-error' : '' ?>" onchange="onNiveauChange()">
				<?php foreach($niveaux as $niveau): ?>
					<option value="<?= $niveau->idNiveau ?>"><?= $niveau->codeNiveau ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('niveau') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Jours de cours :</label>
	<div class="input">
		<?php if(isset($values["jours"])): ?>
			<select name="jours" class="form-control ui search dropdown <?= form_error('jours') ? 'input-error' : '' ?>" onchange="onJoursChange()">
				<?php foreach($days as $day): ?>
					<option value="<?= $day ?>" <?= ($values["jours"] == $day) ? "selected" : "" ?>><?= $day ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="jours" class="form-control ui search dropdown <?= form_error('jours') ? 'input-error' : '' ?>" onchange="onJoursChange()">
				<?php foreach($days as $day): ?>
					<option value="<?= $day ?>"><?= $day ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('jours') ?></div>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Remise :</label>
	<div class="input">
		<?php if(isset($values["remise"])): ?>
			<select class="form-control" name="remise" onchange="onRemiseChange(this)">	
				<option value="-1">Sans remise</option>
				<?php foreach($remises as $remise): ?>
					<option value="<?= $remise->idRemise ?>" <?= ($values["remise"] == $remise->idRemise) ? "selected" : "" ?>><?= $remise->nomRemise ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select class="form-control" name="remise" onchange="onRemiseChange(this)">
				<option value="-1">Sans remise</option>
				<?php foreach($remises as $remise): ?>
					<option value="<?= $remise->idRemise ?>"><?= $remise->nomRemise ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
	</div>
		
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Horaire :</label>
	<div class="input">
		<?php if(isset($values["horaire"])): ?>
			<select name="horaire" class="form-control ui search dropdown <?= form_error('horaire') ? 'input-error' : '' ?>" onchange="onHoraireChange()">
				<?php foreach($horaires as $horaire): ?>
					<option value="<?= $horaire->idHoraireCours ?>" <?= ($values["horaire"] == $horaire->idHoraireCours) ? "selected" : "" ?>><?= $horaire->debutCours ?> - <?= $horaire->finCours ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="horaire" class="form-control ui search dropdown <?= form_error('horaire') ? 'input-error' : '' ?>" onchange="onHoraireChange()">
				<?php foreach($horaires as $horaire): ?>
					<option value="<?= $horaire->idHoraireCours ?>"><?= $horaire->debutCours ?> - <?= $horaire->finCours ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('horaire') ?></div>
	</div>
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Salle :</label>
	<div class="input">
		<?php if(isset($values["salle"])): ?>
			<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>" onchange="onSalleChange()">
				<?php foreach($salles as $salle): ?>
					<option value="<?= $salle->idSalle ?>" <?= ($values["salle"] == $salle->idSalle) ? "selected" : "" ?>><?= $salle->nomSalle ?></option>
				<?php endforeach; ?>
			</select>
		<?php else: ?>
			<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>" onchange="onSalleChange()">
				<?php foreach($salles as $salle): ?>
					<option value="<?= $salle->idSalle ?>"><?= $salle->nomSalle ?></option>
				<?php endforeach; ?>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('salle') ?></div>
		<?php if(isset($salleInfo)): ?>
			<div class="salle-info d-flex justify-content-between text-md text-info">
				<span>Capacité : <?= $salleInfo->capaciteSalle ?></span>
				<span>Occupation : <?= $salleInfo->occupation ?></span>
			</div>
		<?php endif ?>
	</div>
	
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Ecolage :</label>
	<div class="input">
		<input type="text" name="ecolage" class="form-control <?= form_error('ecolage') ? 'input-error' : '' ?>" value="<?= $values['ecolage'] ?? null ?>" readonly id="ecolage">
		<div class="form-error"><?= form_error('ecolage') ?></div>
	</div>
</div>

<div class="form-input d-flex flex-wrap">
	<label class="mb-0 Lexend_ExtraLight">Mode de paiement :</label>
	<div class="input">
		<?php if(isset($values["mode-paiement"])): ?>
			<select class="form-control <?= form_error('mode-paiement') ? 'input-error' : '' ?>" name="mode-paiement" onchange="toggleCompany()">
				<option value="espece" <?= ($values["mode-paiement"] === "espece") ? "selected" : "" ?>>Espèce</option>
				<option value="cheque" <?= ($values["mode-paiement"] === "cheque") ? "selected" : "" ?>>Chèque</option>
				<option value="credit" <?= ($values["mode-paiement"] === "credit") ? "selected" : "" ?>>Crédit</option>
				<option value="mobile monnaie" <?= ($values["mode-paiement"] === "mobile monnaie") ? "selected" : "" ?>>Mobile Monnaie</option>
			</select>
		<?php else: ?>
			<select class="form-control <?= form_error('mode-paiement') ? 'input-error' : '' ?>" name="mode-paiement" onchange="toggleCompany()">
				<option value="espece">Espèce</option>
				<option value="cheque">Chèque</option>
				<option value="credit">Crédit</option>
				<option value="mobile monnaie">Mobile Monnaie</option>
			</select>
		<?php endif; ?>
		<div class="form-error"><?= form_error('mode-paiement') ?></div>
	</div>
		
</div>

<?php if(isset($salleInfo) && ($salleInfo->capaciteSalle <= $salleInfo->occupation)): ?>
	<div class="form-input d-flex flex-wrap mt-3">
		<label class="mb-0 Lexend_ExtraLight"></label>
		<div class="input">
			<button type="button" class="btn btn-danger btn-block" onclick="addWaitingList()">Ajouter à la liste d'attente</button>
		</div>
	</div>
<?php else: ?>

	<div class="form-input d-flex flex-wrap mt-3">
		<label class="mb-0 Lexend_ExtraLight"></label>
		<div class="input">
			<?php if($action === "create"): ?>
				<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
			<?php else: ?>
				<button type="submit" class="btn btn-success btn-block">Modifier</button>
			<?php endif ?>
		</div>
	</div>
<?php endif ?>

<script>
	$(".ui.dropdown").dropdown();
</script>