<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("inscription/mutation") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Mutation</a>
			<a href="<?= base_url("inscription/fermeture") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Fermeture</a>
		</nav>

		<form class="form-content" method="post" action="<?= base_url("inscription/mutation/create") ?>" onsubmit="sendFormMutation(event,this)" id="form-mutation">

			<?php include("components/form_mutation.php") ?>
		</form>
	</div>
	<div class="main-table table-responsive mt-4">
		<table class="table">
			<thead>
				<tr>
					<th>Session</th>
					<th>Matricule</th>
					<th>Nom & prénoms</th>
					<th>Classe</th>
					<th>Niveau</th>
					<th>Ancien creneau</th>
					<th>Nouveau creneau</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?> - <?= $list->nomTerm ?></td>
						<td><?= str_pad($list->matriculeEtudiant,5,"0",STR_PAD_LEFT) ?></td>
						<td><?=	$list->nom ?> <?= $list->prenom ?></td>
						<td><?=	$list->codeClasse ?></td>
						<td><?=	$list->codeNiveau ?></td>
						<td><?=	$list->o_salle ?> | <?=	$list->o_jours ?> | <?=	$list->o_horaire ?></td>
						<td><?=	$list->d_salle ?> | <?=	$list->d_jours ?> | <?=	$list->d_horaire ?></td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>




<script>
	$(".ui.dropdown").dropdown();
</script>