<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form" style="min-height: 0px">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("pointage/pointage") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Pointage</a>
			<a href="<?= base_url("pointage/historique") ?>" class="main-navigation-link Lexend_Regular <?= $active === 2 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Historique</a>
		</nav>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des enseignants</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("pointage/historique/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Matricule</th>
					<th>Nom & prénoms</th>
					<th>Action</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->matriculeEnseignant ?></td>
						<td><?= $list->nomEnseignant ?> <?= $list->prenomEnseignant ?></td>
						<td>
							<form action="<?= base_url("pointage/historique/show") ?>" onsubmit="showHistory(event,this)" class="d-inline-block">
								<input type="hidden" name="matricule" value="<?= $list->matriculeEnseignant ?>">
								<button type="submit" class="btn p-0 text-info">
									<i class="fa-solid fa-eye"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>

<div class="modal" tabindex="-1" id="modal-pointage-history">
	<div class="modal-dialog modal-xl">
	    <div class="modal-content">
		    <div class="modal-header py-2">
		        <h5 class="modal-title">Historique pointage</h5>
		        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
		          <span aria-hidden="true">&times;</span>
		        </button>
		    </div>
		    <div class="modal-body" id="modal-pointage-history-content">
		        
		    </div>
		    <div class="modal-footer">
		        <button type="button" class="btn btn-secondary" data-dismiss="modal">Fermer</button>
		    </div>
	    </div>
	</div>
</div>