<?= $values["alert"] ?? null ?>
<div class="container main-container">
	<div class="main-form">
		
		<nav class="main-navigation d-flex">
			<a href="<?= base_url("testNiveau/repartitionPT") ?>" class="main-navigation-link Lexend_Regular <?= $active === 1 ? 'active' : '' ?>" onclick="goToTarget(event,this)">Repartition</a>
		</nav>

		<?php if($action === "create"): ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/repartitionPT/create") ?>" onsubmit="sendForm(event,this)">
		<?php else: ?>
			<form class="form-content" method="post" action="<?= base_url("testNiveau/repartitionPT/update") ?>" onsubmit="sendForm(event,this)">
		<?php endif ?>
			<input type="hidden" name="id" value="<?= $values["id"] ?? null ?>">
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Session :</label>
				<div class="input">
					<?php if(isset($values["session"])): ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>" <?= ($values["session"] === $session->idSession) ? "selected" : "" ?>><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="session" class="form-control <?= form_error('session') ? 'input-error' : '' ?>">
							<?php foreach($sessions as $session): ?>
								<option value="<?= $session->idSession ?>"><?= $session->anneeExercice ?> - <?= $session->nomTerm ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('session') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Matière :</label>
				<div class="input">
					<?php if(isset($values["matiere"])): ?>
						<select name="matiere" class="form-control <?= form_error('matiere') ? 'input-error' : '' ?>" onchange="getHoraireTest(this)">
							<?php foreach($matieres as $matiere): ?>
								<option value="<?= $matiere->idMatierePT ?>" <?= ($values["matiere"] === $matiere->idMatierePT) ? "selected" : "" ?>><?= $matiere->nomMatierePT ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="matiere" class="form-control <?= form_error('matiere') ? 'input-error' : '' ?>" onchange="getHoraireTest(this)">
							<?php foreach($matieres as $matiere): ?>
								<option value="<?= $matiere->idMatierePT ?>"><?= $matiere->nomMatierePT ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('matiere') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Date de test :</label>
				<div class="input">
					<input type="date" name="date" class="form-control <?= form_error('date') ? 'input-error' : '' ?>" value="<?= $values['date'] ?? null ?>">
					<div class="form-error"><?= form_error('date') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Heure :</label>
				<div class="input" id="horaire-repartition">
					<?php include("components/horaire_repartition.php") ?>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Enseignant :</label>
				<div class="input">
					<?php if(isset($values["enseignant"])): ?>
						<select name="enseignant" class="form-control ui search dropdown <?= form_error('enseignant') ? 'input-error' : '' ?>">
							<?php foreach($enseignants as $enseignant): ?>
								<option value="<?= $enseignant->matriculeEnseignant ?>" <?= ($values["enseignant"] === $enseignant->matriculeEnseignant) ? "selected" : "" ?>><?= $enseignant->nomEnseignant ?> <?= $enseignant->prenomEnseignant ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="enseignant" class="form-control ui search dropdown <?= form_error('enseignant') ? 'input-error' : '' ?>">
							<?php foreach($enseignants as $enseignant): ?>
								<option value="<?= $enseignant->matriculeEnseignant ?>"><?= $enseignant->nomEnseignant ?> <?= $enseignant->prenomEnseignant ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('enseignant') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap">
				<label class="mb-0 Lexend_ExtraLight">Salle :</label>
				<div class="input">
					<?php if(isset($values["salle"])): ?>
						<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>">
							<?php foreach($salles as $salle): ?>
								<option value="<?= $salle->idSalle ?>" <?= ($values["salle"] === $salle->idSalle) ? "selected" : "" ?>><?= $salle->nomSalle ?></option>
							<?php endforeach; ?>
						</select>
					<?php else: ?>
						<select name="salle" class="form-control ui search dropdown <?= form_error('salle') ? 'input-error' : '' ?>">
							<?php foreach($salles as $salle): ?>
								<option value="<?= $salle->idSalle ?>"><?= $salle->nomSalle ?></option>
							<?php endforeach; ?>
						</select>
					<?php endif; ?>
					<div class="form-error"><?= form_error('salle') ?></div>
				</div>
				
			</div>
			<div class="form-input d-flex flex-wrap mt-3">
				<label class="mb-0 Lexend_ExtraLight"></label>
				<div class="input">
					<?php if($action === "create"): ?>
						<button type="submit" class="btn btn-dark btn-block">Enregistrer</button>
					<?php else: ?>
						<button type="submit" class="btn btn-success btn-block">Modifier</button>
					<?php endif ?>
				</div>
				
			</div>
		</form>
	</div>
	<div class="main-search d-flex justify-content-between align-items-center">
		<div class="search-info w-50">
			<span class="d-block">Liste des repartitions salles</span>
		</div>
		<div class="search-form w-50">
			<form class="d-flex position-relative" method="post" action="<?= base_url("testNiveau/repartitionPT/filter") ?>" onsubmit="filter(event,this)">
				<!-- <a href="#" class="btn btn-success mr-2" style="width: 200px" target="_blank">Exporter</a> -->
				<input type="text" name="query" class="form-control" placeholder="Recherche..." value="<?= $query ?? null ?>">
				<button type="submit" class="btn-search"><i class="fa-solid fa-search"></i></button>
			</form>

		</div>
	</div>
	<div class="main-table table-responsive">
		<table class="table">
			<thead>
				<tr>
					<th>Session</th>
					<th>Matière</th>
					<th>Date</th>
					<th>Heure</th>
					<th>Enseignant</th>
					<th>Salle</th>
					<th>Actions</th>
				</tr>
			</thead>
			<tbody id="tbody">
				<?php foreach($lists as $list): ?>
					<tr>
						<td><?= $list->anneeExercice ?> - <?= $list->nomTerm ?></td>
						<td><?= $list->nomMatierePT ?></td>
						<td><?=	$list->dateTest ?></td>
						<td><?= $list->debutPT ?> - <?= $list->finPT ?></td>
						<td><?= $list->nomEnseignant ?> <?= $list->prenomEnseignant ?></td>
						<td><?= $list->nomSalle ?></td>
						<td>
							<form action="<?= base_url("testNiveau/repartitionPT/getOne") ?>" onsubmit="getOne(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idRepartitionPT ?>">
								<button type="submit" class="btn p-0">
									<i class="fa-solid fa-pen-to-square"></i>
								</button>
							</form>
							<form action="<?= base_url("testNiveau/repartitionPT/delete") ?>" onsubmit="remove(event,this)" class="d-inline-block">
								<input type="hidden" name="id" value="<?= $list->idRepartitionPT ?>">
								<button type="submit" class="btn p-0 text-danger">
									<i class="fa-solid fa-trash-can"></i>
								</button>
							</form>
						</td>
					</tr>
				<?php endforeach; ?>
			</tbody>
		</table>
	</div>
</div>


<script>
	$(".ui.dropdown").dropdown();
</script>