const BASE_URL = "http://192.168.1.111/etp/";

class Alert {
	static error(message) {
		Swal.fire({
			icon: "error",
			title: "Erreur",
			text: message,
		});
	}
	static success(message = "Enregistrement effectué") {
		$(".notif-container")
			.append(`<div class="notif-item alert alert-success mb-2 position-relative shadow">
										<span class="close notif-close" onclick="removeNotif(this)">&times;</span>
										<span class="notif-item-icon"><i class="far fa-check-circle"></i></span>
										<div class="notif-item-text">
											<h4 class="mb-0">Succes</h4>
											<span>${message}</span>
										</div>
									</div>`);
		new TimeoutHide($(".notif-item.alert-success:last-child"), 5000);
	}
	static confirm(callback) {
		Swal.fire({
			title: "Confirmation",
			text: "Voulez-vous vraiment poursuivre cette action ?",
			icon: "warning",
			showCancelButton: true,
			confirmButtonColor: "#3085d6",
			cancelButtonColor: "#d33",
			confirmButtonText: "Confirmer",
		}).then((result) => {
			if (result.isConfirmed) {
				callback();
			}
		});
	}
}

/*class Notification{
	
	static error(message="Une erreur s'est produite"){
		$('.notif-container').append(`<div class="notif-item alert alert-danger mb-2 position-relative">
										<span class="close notif-close" onclick="removeNotif(this)">&times;</span>
										<span class="notif-item-icon"><i class="fas fa-info-circle"></i></span>
										<div class="notif-item-text">
											<h4 class="mb-0">Erreur</h4>
											<span>${message}</span>
										</div>
									</div>`)
		new TimeoutHide($('.notif-item.alert-danger:last-child'),10000)
	}
}*/
class TimeoutHide {
	constructor(elem, duration) {
		setTimeout((_) => {
			elem.fadeOut(500, function () {
				elem.remove();
			});
		}, duration);
	}
}

function removeNotif(elem) {
	$(elem).fadeOut(500, function () {
		$(elem).parent(".notif-item").remove();
	});
}

$(document).ready(function () {
	$("body").append(`<div class="notif-wrapper">
						<div class="notif-container">
							
						</div>
					</div>`);
});
